<?php
// +----------------------------------------------------------------------
// | [ WE CAN DO IT MORE SIMPLE  ]
// +----------------------------------------------------------------------
// | Copyright (c) 2018-2020 rights reserved.
// +----------------------------------------------------------------------
// | Author: TABLE ME
// +----------------------------------------------------------------------
// | Date: 2020-09-05 09:21
// +----------------------------------------------------------------------

use app\api\middleware\AllowOriginMiddleware;
use app\api\middleware\SeretKeyMiddleware;
use app\api\middleware\UserMiddleware;
use think\facade\Route;

Route::group('user', function () {
    //获取用户信息
    Route::rule('userInfo', 'User/userInfo');
    //设置用户信息
    Route::rule('setUserInfo', 'User/setUserInfo');
    //资料申请审核
    Route::rule('subInfoAudit', 'User/subInfoAudit');
    //资料申请审核2
    Route::rule('subTypeAudit', 'User/subTypeAudit');
    //获取用户子级列表
    Route::rule('getChildList', 'User/getChildList');
    //提交模板订单
    Route::rule('subShowTemplateOrder', 'User/subShowTemplateOrder');
    //模板支付订单状态查询
    Route::rule('payShowTemplateOrderInfo', 'User/payShowTemplateOrderInfo');
    //用户模板列表
    Route::rule('userShowTemplateList', 'User/userShowTemplateList');
    //设置默认模板
    Route::rule('setShowTemplate', 'User/setShowTemplate');
    //获取名片信息
    Route::rule('getUserCardInfo', 'User/getUserCardInfo');
    //绑定手机号
    Route::rule('bindMobile', 'User/bindMobile');
    //获取小程序码
    Route::rule('getWxmpQrcode', 'User/getWxmpQrcode');
    //base64上传
    Route::rule('uploadBase64', 'User/uploadBase64');
    //图片上传
    Route::rule('upload', 'User/upload');
    //视频上传
    Route::rule('uploadVideo', 'User/uploadVideo');
    //七牛图片上传token
    Route::rule('qiniuUploadToken', 'User/qiniuUploadToken');
    //七牛图片上传
    Route::rule('qiniuUpload', 'User/qiniuUpload');
    //获取小程序邀请码
    Route::rule('getWxmpInviteQrcode', 'User/getWxmpInviteQrcode');
    
    
    

    
})->middleware([
    AllowOriginMiddleware::class,
    SeretKeyMiddleware::class,
    UserMiddleware::class,
]);